<?xml version="1.0" encoding="utf-8" standalone="no"?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Actif" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Actif" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Passif" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Passif" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Cr" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Cr" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Cr_1" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Cr_1" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Sorie" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Sorie" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Tft" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Tft" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Tft_1" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Tft_1" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Varcap" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Varcap" />
  <link:roleRef roleURI="http://www.agence-france-locale.fr/role/Varcap_1" xlink:type="simple" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#Varcap_1" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Actif">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndBankBalancesAtCentralBanks" xlink:label="loc_ifrs-full_CashAndBankBalancesAtCentralBanks" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_CashAndBankBalancesAtCentralBanks" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="loc_ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:label="loc_ifrs-full_DerivativeFinancialAssetsHeldForHedging" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_DerivativeFinancialAssetsHeldForHedging" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="loc_ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_FinancialAssetsAtFairValueThroughOtherComprehensiveIncome" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DebtInstrumentsHeldAtAmortisedCost" xlink:label="loc_ifrs-full_DebtInstrumentsHeldAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_DebtInstrumentsHeldAtAmortisedCost" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LoansAndAdvancesToBanksAtAmortisedCost" xlink:label="loc_ifrs-full_LoansAndAdvancesToBanksAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_LoansAndAdvancesToBanksAtAmortisedCost" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LoansAndAdvancesToCustomersAtAmortisedCost" xlink:label="loc_ifrs-full_LoansAndAdvancesToCustomersAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_LoansAndAdvancesToCustomersAtAmortisedCost" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountAssets" xlink:label="loc_ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountAssets" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="loc_ifrs-full_CurrentTaxAssetsCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_CurrentTaxAssetsCurrent" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_DeferredTaxAssets" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAssets" xlink:label="loc_ifrs-full_OtherAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_OtherAssets" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill" xlink:label="loc_ifrs-full_Goodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_Goodwill" weight="1" order="13" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Passif">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_ifrs-full_NoncontrollingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_NoncontrollingInterests" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Issuedcapitalandsharepremium" xlink:label="loc_AFL_Issuedcapitalandsharepremium" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_AFL_Issuedcapitalandsharepremium" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ConsolidatedReserves" xlink:label="loc_AFL_ConsolidatedReserves" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_AFL_ConsolidatedReserves" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AccumulatedOtherComprehensiveIncome" xlink:label="loc_ifrs-full_AccumulatedOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_AccumulatedOtherComprehensiveIncome" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:label="loc_ifrs-full_RetainedEarningsProfitLossForReportingPeriod" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="loc_ifrs-full_RetainedEarningsProfitLossForReportingPeriod" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LiabilitiesDueToCentralBanks" xlink:label="loc_ifrs-full_LiabilitiesDueToCentralBanks" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_LiabilitiesDueToCentralBanks" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLoss" xlink:label="loc_ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLoss" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:label="loc_ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DebtInstrumentsIssuedAtAmortisedCost" xlink:label="loc_ifrs-full_DebtInstrumentsIssuedAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_DebtInstrumentsIssuedAtAmortisedCost" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepositsFromBanksAtAmortisedCost" xlink:label="loc_ifrs-full_DepositsFromBanksAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_DepositsFromBanksAtAmortisedCost" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepositsFromCustomersAtAmortisedCost" xlink:label="loc_ifrs-full_DepositsFromCustomersAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_DepositsFromCustomersAtAmortisedCost" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" xlink:label="loc_ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent" weight="1" order="13" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="loc_ifrs-full_DeferredTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_DeferredTaxLiabilities" weight="1" order="14" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherLiabilities" xlink:label="loc_ifrs-full_OtherLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_OtherLiabilities" weight="1" order="15" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Provisions" xlink:label="loc_ifrs-full_Provisions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Provisions" weight="1" order="16" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Equity" weight="1" order="17" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Cr">
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetBankingIncome" xlink:label="loc_AFL_NetBankingIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueFromInterest" xlink:label="loc_ifrs-full_RevenueFromInterest" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_RevenueFromInterest" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestExpense" xlink:label="loc_ifrs-full_InterestExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_InterestExpense" weight="-1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="loc_ifrs-full_FeeAndCommissionIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_FeeAndCommissionIncome" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="loc_ifrs-full_FeeAndCommissionExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_FeeAndCommissionExpense" weight="-1" order="3" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" xlink:label="loc_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_AFL_Gainslossesonfinancialinstrumentsatfairvaluethroughprofitorloss" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" xlink:label="loc_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_AFL_Gainslossesonfinancialassetsatfairvaluethroughothercomprehensiveincome" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" xlink:label="loc_ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingIncome" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="loc_ifrs-full_MiscellaneousOtherOperatingExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_NetBankingIncome" xlink:to="loc_ifrs-full_MiscellaneousOtherOperatingExpense" weight="-1" order="8" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_GrossOperatingIncome" xlink:label="loc_AFL_GrossOperatingIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_GrossOperatingIncome" xlink:to="loc_AFL_NetBankingIncome" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_OperatingExpenses" xlink:label="loc_AFL_OperatingExpenses" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_GrossOperatingIncome" xlink:to="loc_AFL_OperatingExpenses" weight="-1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="loc_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_GrossOperatingIncome" xlink:to="loc_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" weight="-1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_AFL_GrossOperatingIncome" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" weight="-1" order="13" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities" weight="1" order="14" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherGainsLosses" xlink:label="loc_ifrs-full_OtherGainsLosses" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_OtherGainsLosses" weight="1" order="15" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" weight="1" order="16" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" weight="-1" order="17" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Cr_1">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent" weight="1" order="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Sorie">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:label="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" weight="-1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax" xlink:label="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_OtherComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" weight="-1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" weight="1" order="7" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" order="9" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" weight="1" order="10" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Tft">
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:label="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetProvisionsAndImpairment" xlink:label="loc_AFL_NetProvisionsAndImpairment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="loc_AFL_NetProvisionsAndImpairment" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" xlink:label="loc_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="loc_AFL_AdjustmentsForWhichCashEffectsAreInvestingCashFlow" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" xlink:label="loc_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="loc_AFL_AdjustmentsForWhichCashEffectsAreFinancingCashFlow" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:label="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" xlink:to="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" weight="1" order="5" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_AFL_TotalNonCashAndOtherAdjustmentItemsIncludedInPretaxIncome" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:label="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" weight="1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Changeinequityinvestmentsinvestingactivities" xlink:label="loc_AFL_Changeinequityinvestmentsinvestingactivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_AFL_Changeinequityinvestmentsinvestingactivities" weight="-1" order="8" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Cashflowsfrominvestmentproperty" xlink:label="loc_AFL_Cashflowsfrominvestmentproperty" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_AFL_Cashflowsfrominvestmentproperty" weight="-1" order="9" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" xlink:label="loc_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_AFL_ChangeInPropertyPlantEquipmentAndIntangibleAssetsInvestingActivities" weight="-1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" xlink:label="loc_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_AFL_Cashreceivedfrompaidtoshareholdersfinancingactivities" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" weight="1" order="12" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" weight="1" order="13" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" weight="1" order="14" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" weight="1" order="15" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" weight="1" order="16" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" xlink:label="loc_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="loc_AFL_CashAndBalancesWithCentralBanksAssetsLiabilities" weight="1" order="17" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_NetDemandLoansAndDepositsWithCreditInstitutions" xlink:label="loc_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="loc_AFL_NetDemandLoansAndDepositsWithCreditInstitutions" weight="1" order="18" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Tft_1">
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:label="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_Changeinintercreditinstitutionsitems" xlink:label="loc_AFL_Changeinintercreditinstitutionsitems" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="loc_AFL_Changeinintercreditinstitutionsitems" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInCustomerItems" xlink:label="loc_AFL_ChangeInCustomerItems" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="loc_AFL_ChangeInCustomerItems" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInFinancialAssetsAndLiabilities" xlink:label="loc_AFL_ChangeInFinancialAssetsAndLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="loc_AFL_ChangeInFinancialAssetsAndLiabilities" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_ChangeInNonFinancialAssetsAndLiabilities" xlink:label="loc_AFL_ChangeInNonFinancialAssetsAndLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="loc_AFL_ChangeInNonFinancialAssetsAndLiabilities" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_AFL_IncreaseDecreaseInAssetsAndLiabilitiesResultingFromOperatingActivities" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" weight="-1" order="4" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Varcap">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssueOfEquity" xlink:label="loc_ifrs-full_IssueOfEquity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_IssueOfEquity" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" weight="1" order="1" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_IssuanceRedemptionOfEquityInstruments" xlink:label="loc_AFL_IssuanceRedemptionOfEquityInstruments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_AFL_IssuanceRedemptionOfEquityInstruments" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="9695002K2HDLD20JU790-2024-12-31.xsd#AFL_RemunerationOfUndatedDeeplySubordinatedNotes" xlink:label="loc_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_AFL_RemunerationOfUndatedDeeplySubordinatedNotes" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" weight="1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaid" xlink:label="loc_ifrs-full_DividendsPaid" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="loc_ifrs-full_DividendsPaid" weight="-1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" weight="1" order="6" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" weight="-1" order="7" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" weight="1" order="8" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" weight="1" order="9" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" weight="-1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" weight="1" order="11" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" order="12" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.agence-france-locale.fr/role/Varcap_1">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" weight="1" order="0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" weight="-1" order="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments" weight="1" order="2" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" weight="1" order="3" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome" weight="-1" order="4" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_OtherComprehensiveIncome" weight="1" order="5" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome" xlink:to="loc_ifrs-full_ProfitLoss" weight="1" order="6" />
  </link:calculationLink>
</link:linkbase>